{
  "format_version": "1.20.10",
  "minecraft:item": {
    "description": {
      "category": "items",
      "identifier": "rc:water_wheel_item"
    },
    "components": {
      "minecraft:icon": {
        "texture": "water_wheel_item"
      },
      "minecraft:display_name": {
        "value": "Water Wheel"
      },
      "minecraft:creative_category": {
        "parent": "itemGroup.name.items"
      },
      "minecraft:block_placer":{
        "block": "rc:water_wheel"
    }
    }
  }
}
